@font-face {
    font-family: "Tw Cen MT";
    font-weight: normal;
    src: local("Tw Cen MT"), 
         url("../fonts/tw-cen-mt-regular.ttf") format("truetype");
}

@font-face {
    font-family: "Tw Cen MT";
    font-weight: bold;
    src: local("Tw Cen MT Bold"), 
         url("../fonts/tw-cen-mt-bold.ttf") format("truetype");
}

:root {
    --black-title: #000000;
    --gray-title: #2E2F2F;
    --gray-text: #818181;
    --gray-hover-button: #C4C3C3;
    --gray-border: #DADADA;
    --gray-light: #ECECEC;
    
    --blue-gradient: #1E90FF;
    --purple-gradient: #9400D3;
    --yellow: #FCD51E;
    --red-dark: #A71B34;
    --red: #CD2140;
    --green-dark: #21876C;
    --green: #28A276;

    --background-dashboard: #FAFAFF;
    --gradient-purple-blue: linear-gradient(180deg, var(--purple-gradient) 0%, var(--blue-gradient) 100%);
}

/* -------- DEFINIÇÕES GERAIS -------- */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:focus {
    outline: none;
}

body { background-color: var(--background-dashboard); min-height: 100vh; }

body, h1, h2, h3, h4, h5, h6 {font-family: "Tw Cen MT"}

html {
    font-size: 93.75%;
}

img {
    max-width: 100%;
    width: 100%;
}

a, a:hover {
    display: block;
    text-decoration: none;
    color: var(--gray-title);
    color: #fff;
}

button {
    outline: none;
    border: none;
}

.btn {
    width: fit-content;
    padding: 0.6rem 1.6rem;
    border-radius: 0.25rem;
    font-size: 1.3rem;
    text-transform: uppercase;
    cursor: pointer;
    transition: background 0.3s;
}

.btn i { margin-right: .8rem }


.btn-success {
    color: #fff;
    background-color: var(--green);
    padding: 0.6rem 1.4rem;
}
.btn-success:hover { background-color: var(--green-dark); color: #fff; }

.btn-dark {
    color: #fff;
    background-color: #2F2F2F;
    padding: 0.6rem 1.4rem;
}
.btn-dark:hover { background-color: #111111; color: #fff; }

.btn-dense {
    padding: 0.6rem 1rem;
    font-size: 1.1rem;
}

@media screen and (max-width: 720px) { html { font-size: 87.5% } }
@media screen and (max-width: 520px) { html { font-size: 75%   } }

/* -------- HEADER -------*/
.header {
    width: 100%;
}

.header .uk-slider {background: #000000}
.header .slider__image {
    width: 100%;
    height: 80vh;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.7;
}

.container__header {
    width: 100%;
    padding: 2.4rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.container__header img {
    max-width: 8rem;
}

.container__header .btn-login {
    background-color: #fff;
    color: var(--black-title);
}
.container__header .btn-login:hover {background-color: var(--gray-light)}

.header h1 {
    color: var(--gray-light);
    font-weight: bold;
    font-size: 3.2rem;
    text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.6);
    text-align: center;
    padding: 0 0.8rem;
}

.header .slider__dots {
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    margin-left: 0;
}

.header .slider__dots a {
    width: 25px;
    height: 25px;
    background-color: #fff;
    opacity: 0.6;
    transition: opacity 0.3s;
}

.header .slider__dots a:hover {opacity: 1}
.header .slider__dots .uk-active a {
    background-color: var(--yellow);
    opacity: 1;
}

/* -------- MAIN -------*/
.container__options{
    padding: 2.8rem 1.4rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-items: center;
    gap: 1.4rem;
}

.container__options i {
    grid-column: span 3;
    color: var(--black-title);
    font-size: 5rem;
}

.container__options h2 {
    grid-column: span 3;
    margin: 0;
    padding: 1rem 0;
    color: var(--black-title);
    font-size: 2.3rem;
    font-weight: bold;
    text-align: center;
}

.options__item h3 {
    margin: 0.5rem 0;
    color: var(--black-title);
    font-size: 1.5rem;
}

/* -------- footer -------*/
.footer{
    width: 100%;
    background-color: var(--yellow);
}

.container__footer{
    padding-top: 8rem;
    padding-bottom: 3rem;
    display: grid;
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 3rem;
}

.footer__info {
    max-width: 800px;
    display: grid;
    grid-template-columns: 3.8rem minmax(auto, 400px);
    align-items: center;
}

.footer__info i {
    grid-row: span 2;
    justify-self: center;
    font-size: 2rem;
    color: var(--black-title);
}

.footer__info i.fa-phone { transform: rotate(90deg) }

.footer__info h4 {
    font-size: 1.7rem;
    font-weight: bold;
    line-height: 2rem;
    color: var(--black-title);
    margin: 0;
}

.footer__info p {
    font-size: 1.3rem;
    line-height: 1.8rem;
    color: var(--black-title);
    margin: 0;
}

.footer__logo { max-width: 10rem }

/* ----------- RESPONSIVE ---------- */
@media screen and (max-width: 720px) {
    .container__options{
        grid-template-columns: 1fr;
        gap: 1rem;
    }

    .container__options i, .container__options h2 { grid-column: 1 } 
}

/* ------ LOGIN PAGE ------- */
.login__container {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.login__container img { max-width: 8rem }

.login__container span {
    color: var(--red);
    font-size: 1.2rem;
    margin-top: 1.6rem;
}

.login__area {
    background: var(--gradient-purple-blue);
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    padding: 2.4rem 1.4rem;
    border-radius: 0.6rem;
    width: 50%;
    max-width: 400px;
    min-width: 270px;
    margin: 3rem 1rem;
}

.login__area h3 {
    color: #fff;
    font-size: 1.8rem;
    text-transform: uppercase;
    margin-bottom: 2rem;
}

.login__area  h3::before {
    content: "";
    border-right: 0.3rem solid #fff;
    margin-right: 0.7rem;
}

.login__form {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    padding: 0 1rem;
}

.login__form label {
    display: block;
    color: #fff;
    font-size: 1.3rem;
}

.login__form input {
    width: 100%;
    padding: 0.7rem 1rem;
    border-radius: 0.4rem;
    margin-bottom: 0.7rem;
    border: none;
    font-family: "Tw Cen MT";
    font-size: 1.1rem;
    color: var(--gray-title);
    background: #fff;
}

.login__form input::placeholder {color: var(--gray-text)}

.login__form input:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgb(30,135,240, 0.6);
}

.login__form button {
    display: block;
    align-self: flex-end;
    background: #fff;
    padding: 0.6rem 1.6rem;
    color: var(--black-title);
    border-radius: 0.25rem;
    border: none;
    font-family: "Tw Cen MT";
    font-size: 1.3rem;
    box-shadow: 0px 5px 0px var(--gray-border);
    cursor: pointer;
    margin-top: 2rem;
    transition: all 0.3s;
}

.login__form button:hover {
    background: #ECECEC;
    box-shadow: 0px 5px 0px #DADADA;
}

/* -------- DASHBOARD --------*/
/* SIDENAV ===================*/
.sidenav__container {
    position: fixed;
    top: 0;
    left: 0;
    width: 85px;
    height: 100vh;
    background: var(--gradient-purple-blue);
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr;
    align-items: center;
    gap: 1rem;
    z-index: 10000;
    transition: all 0.3s;
    box-shadow: 4px 0px 10px 0px rgb(0, 0, 0, 0.34);
}

/* ---- BTN SIDENAV MOBILE ---- */
.sidenav__toggle {
    display: none;
    justify-self: start;
    background: transparent;
    border: none;
    font-size: 2rem;
    line-height: 0;
    padding: 0.6rem 1rem 0.6rem 0;
    cursor: pointer;
}
.sidenav__toggle:focus { outline: none }

/* ---- BTN SIDENAV CLOSE ---- */
.sidenav__container .sidenav__toggle {
    padding: 0.6rem;
    margin-left: 1.5rem;
    color: #fff;
    animation-duration: 0.9s;
}

/* ---- ÁREA DO PERFIL ----*/
.sidenav__profile { 
    padding: 2rem 1rem 0 1rem;
    display: flex; 
    justify-content: space-between;
}

.sidenav__profile img{
    max-width: 4rem;
    max-height: 4rem;
    border-radius: 50%;
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.2);
}
.sidenav__profile .profile__info {
    display:none;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    font-size: 1.2rem;
    line-height: 1.5rem;
    margin-left: 1rem;
    animation-duration: 0.9s;
}

.sidenav__profile .profile__info span {
    display: block;
    font-weight: bold;
}

/* ---- ÁREA DO MENU ---- */
.sidenav__menu {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2.4rem;
    justify-items: center;
    max-height: 605px;
    overflow-y: auto;
    overflow-x: hidden;
}

.sidenav__menu::-webkit-scrollbar { display: none }
.sidenav__menu { -ms-overflow-style: none; scrollbar-width: none; }

.sidenav__menu a {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s;
}

.sidenav__menu a:hover { background-color: rgba(0, 0, 0, 0.4) }

.sidenav__menu i {
    width: 50px;
    text-align: center;
    font-size: 2.3rem;
    color: #fff;
}

.sidenav__menu span {
    display: none;
    width: calc(100% - 50px - 1rem);
    margin-left: 1rem;
    color: #fff;
    font-size: 1.3rem;
    justify-content: space-between;
    align-items: center;
    animation-duration: 0.9s;
}

/* ---- SUBMENU ---- */
.sidenav__submenu { margin: 0; width: 100%; }

.sidenav__submenu .uk-accordion-title::before,
.sidenav__submenu .uk-accordion-content  { display: none }

.sidenav__submenu .uk-accordion-content i { font-size: 1.5rem }
.sidenav__submenu .uk-accordion-content span { font-size: 1.3rem }

.sidenav__submenu span i {
    font-size: 1rem ;
    transition: transform 0.5s;
}
.sidenav__submenu .uk-open span i { transform: rotate(180deg) }

/*---- EFEITOS DO MENU ----*/
.sidenav__container:hover { width: 280px }

.sidenav__container:hover .profile__info, 
            .sidenav-open .profile__info { display: flex }

.sidenav__container:hover .sidenav__menu, 
            .sidenav-open .sidenav__menu { gap: 0.8rem }

.sidenav__container:hover .sidenav__menu a,
            .sidenav-open .sidenav__menu a { 
    width: 100%;
    padding: 0.8rem 0.6rem 0.8rem 1.6rem;
}

.sidenav__container:hover .sidenav__menu a span, 
            .sidenav-open .sidenav__menu a span { display: flex }

.sidenav__container:hover .uk-accordion-content,
            .sidenav-open .uk-accordion-content{ 
        display: flow-root; 
        border-top: 1px solid #fff;
        margin-top: 0;
    }

.sidenav__container:hover .uk-open,
            .sidenav-open .uk-open { background-color: rgba(0, 0, 0, 0.4) }

/* ---- RESPONSIVO SIDENAV -----*/
@media screen and (max-width: 920px) {
    .sidenav__container{ left: -290px }

    .sidenav-open.sidenav__container{
        left: 0;
        width: 260px;
    }

    .sidenav__container .sidenav__toggle { display: block }
}

@media screen and (max-width: 520px) {
    .sidenav__menu { max-height: 515px;}
}

/* DASHBOARD-CONTAINER ===================*/
.dashboard__container {
    margin-left: 85px;
    width: calc(100% - 85px);
    min-height: 80vh;
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding: 2.4rem;
    padding-top: 0;
    gap: 1.3rem;
}
.dashboard__container--home { grid-template-columns: 1fr 1fr }

.header__container {
    margin-left: 85px;
    width: calc(100% - 85px);
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding: 2.4rem;
    gap: 1.3rem;
}
/* ---- Título e Logo da DASHBOARD ---- */
.header__container h3 {
    margin: 0;
    font-size: 2rem;
    color: var(--black-title);
}

.header__container h3::before {
    content: "";
    border-left: 0.6rem solid var(--black-title);
    margin-right: 0.8rem;
}

.header__container .logo {
    max-width: 8rem;
    justify-self: end;
}

/* HOME-CHART ===================*/
.home__chart {
    border: 0.15rem solid var(--blue-gradient);
    border-radius: 0.25rem;
    padding: 1.4rem;
}

.home__chart h4 {
    font-size: 1.3rem;
    margin-bottom: 0.4rem;
    color: var(--black-title);
}

.home__chart span {
    display: block;
    font-size: 1rem;
    margin-bottom: 1rem;
    color: var(--gray-text);
}

.home__chart #chartHome {
    max-height: 500px;
}

/* ---- RESPONSIVO HOME ---- */
@media screen and (min-width: 1600px) {
    .dashboard__container {
        max-width: 1400px;
        margin: 0 auto;
    }
}

@media screen and (max-width: 1024px) {
    .dashboard__container--home {
        gap: 2rem;
        align-items: start;
        grid-template-rows: repeat(3, auto);
    }
    
    .home__chart {
        order: 1;
        grid-column: span 2;
    }

    .home__illustration {
        order: 2;
        grid-column: span 2;
    }
}

@media screen and (max-width: 920px) {
    .header__container, .dashboard__container {
        margin: 0;
        width: 100%;
        padding: 2rem;
        grid-template-columns: 2fr 1fr;
        gap: 1rem;
        min-height: auto;
    }

    .header__container h3 { 
        order: 1;
        grid-column: span 2;
        justify-self: center; 
        align-self: center;
    }
    .header__container h3::before{display:none}
    .header__container .sidenav__toggle { display: block }
}

@media screen and (max-width: 340px) {
    .dashboard__container { padding: 2rem 1rem }
}

/* DASHBOARD-TABLE ===================*/
.dashboard__tableContainer {
    grid-column: span 2;
    order: 2;
    align-self: start;
    border-radius: 0.54rem;
    background-color: #fff;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);

    --border-table: #D9D5EC;
    --color-table: #6E6893;
    --color-table-cell: #F4F2FF;
    --text-table-cell: #25213B;
    --icon-table: #8B83BA;

    --hover-table-cell: #eee9ff;
    --hoverClr-table-button: #6D5BD0;
    --hoverBg-table-button: #e1daff;
}
.dashboard__tableContainer [class^=table__]:last-child {
    border-radius: 0 0 0.54rem 0.54rem;
}

table.dashboard__table {
    border-top: 1px solid var(--border-table);
    border-bottom: 1px solid var(--border-table) !important;

}

table.dashboard__table thead th {
    background-color: var(--color-table-cell);
    border-bottom: 1px solid var(--border-table);
    padding: 0.8rem 0 0.8rem 1rem;

    font-size: 0.9rem;
    font-weight: bold;
    color: var(--color-table);
    text-align: left;
    text-transform: uppercase;
    vertical-align: middle;
}

table.dashboard__table thead th:first-child { padding-left: 1.7rem }

table.dashboard__table thead th+th,
table.dashboard__table tbody td+td {
    border-left: 1px solid var(--border-table);
}

table.dashboard__table tbody tr+tr td{
    border-top: 1px solid var(--border-table);
} 

table.dashboard__table tbody td {
    padding: 0.6rem 1rem 0.6rem 1rem;
    font-size: 1.1rem;
    color: var(--text-table-cell);
    text-align: left;
    vertical-align: middle;
}

table.dashboard__table tbody td:first-child { padding-left: 1.7rem }
table.dashboard__table tbody td:last-child  { 
    padding-right: 1.7rem; 
    position: relative;
    min-width: 90px;
}

table.dashboard__table tbody tr.even  { background: var(--color-table-cell) }
table.dashboard__table tbody tr:hover { background: var(--hover-table-cell) }
table.dashboard__table tbody td:last-child button,
table.dashboard__table tbody td:last-child > a {
    display: inline-block;
    background: transparent;
    border: none;
    cursor: pointer;
    transition: all 0.3s;
}

table.dashboard__table .table__checkbox {
    width: 30px;
    text-align: center;
}

table.dashboard__table .table__checkbox input {
    margin-top: 5px;
    width: 20px;
    height: 20px;
}

table.dashboard__table .table__status {
    font-size: 0.9rem;
    color: #25213B;
    width: 180px;
    min-width: 150px;
}

table.dashboard__table .table__status span {
    padding: 0 5px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    width: max-content;
    margin-bottom: 5px;
}

table.dashboard__table .table__status span::before {
    width: 6px;
    height: 6px;
    content: "";
    border-radius: 3px;
    background: #007F00;
    margin-right: 5px;
    display: inline-block;
}

table.dashboard__table .table__status .paid {
    background: #CDFFCD;
    color: #007F00;
}
table.dashboard__table .table__status .paid::before { background: #007F00 }

table.dashboard__table .table__status .unpaid {
    background: #FFECCC;
    color: #965E00;
}
table.dashboard__table .table__status .unpaid::before { background: #CE8500 }

table.dashboard__table .table__status .overdue {
    background: #FFE0E0;
    color: #D30000;
}
table.dashboard__table .table__status .overdue::before { background: #D30000 }

table.dashboard__table tbody td:last-child .btShowDetails {
    padding: 0.3rem;
    border-radius: 0.25rem;
    font-size: 0.9rem;
    color: var(--color-table);
}

table.dashboard__table tbody td:last-child .btShowDetails:hover {
    background-color: var(--hoverBg-table-button);
    color: var(--hoverClr-table-button);
}

table.dashboard__table tbody td:last-child button.btShowOptions {
    float: right;
    padding: 0.2rem 0 0.2rem 0.3rem;
    font-size: 1.1rem;
    color: var(--icon-table);
}
table.dashboard__table tbody td:last-child button.btShowOptions:hover { color: var(--text-table-cell) }

table.dashboard__table tbody td:last-child .table__options {
    display: none;
    position: absolute;
    top: 25px;
    right: 28px;
    z-index: 1000;
    width: 130px;
    border-radius: 6px;
    padding: 5px;
    margin: 0;
    list-style: none;
    background: #fff;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
}

table.dashboard__table tbody td:last-child .table__options .options__close {
    font-size: 0.8rem;
    position: absolute;
    top: -10px;
    right: -10px;
    border-radius: 10px;
    background: #fff;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #8B83BA;
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

table.dashboard__table tbody td:last-child .table__options li a {
    padding: 5px;
    color: #25213B;
    font-size: 1rem;
    line-height: 1.1rem;
    border-radius: 0.25rem;
    transition: all 0.3s;
}

table.dashboard__table tbody td:last-child .table__options li a:hover { background-color: #F2F0F9 }

table.dashboard__table tbody td:last-child .table__options li.options__divider {
    border-top: 1px solid #F2F0F9;
    margin-top: 5px;
    padding-top: 5px;
}

table.dashboard__table tbody td:last-child .table__options a.options__delete {color: var(--red)}
table.dashboard__table tbody td:last-child .table__options a.options__delete:hover {
    background-color: #ffc5c5;
}

table.dashboard__table tbody td:last-child .table__options.show {
    display: block;
    animation: showOptions 0.3s forwards;
}

@keyframes showOptions {
    from {
      opacity: 0;
      transform: translate3d(0, 30px, 0);
    }
    to {
      opacity: 1;
      transform: translate3d(0, 0, 0);
    }
  }

/* ============ DATATABLE-TOP */
.table__top {
    padding: 1rem 1.7rem;
    display: grid;
    grid-template-columns: 1fr 2fr;
    gap: 1rem;
    align-items: center;
}

.table__top .dataTables_filterLabel {
    color: #6E6893;
    font-size: 1.1rem;
}

.table__top input { 
    background: #F4F2FF;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    padding: 0.7rem;
    color: #948dbf;
    font-family: "Tw Cen MT";
    font-size: 1rem;
    width: 100%;
}

/* ---------INPUT-SEARCH---------*/
.table__top .dataTables_filter label:last-child {
    background: #F4F2FF;
    width: 100%;
    max-width: 500px;
    min-width: 270px;
    border: none;
    border-radius: 0.25rem;
    padding: 0;
    display: grid;
    grid-template-columns: auto 1fr;
    justify-items: center;
    align-items: center;
}

.table__top label:last-child:hover,
.borderActive label:last-child { border: 1px solid #6D5BD0 !important}

.table__top .dataTables_filter input { font-size: 1.1rem }
.table__top .dataTables_filter input::placeholder { 
    color: #a19bc3;
}

.table__top .dataTables_filter label:last-child::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f002";
    font-size: 1.2rem;
    color: #8B83BA;
    padding: 0 0 0 0.7rem;
}

/* ---------INPUT-DATE---------*/
.table__top .dataTables_dateFilter {
    justify-self: end;
    display: grid;
    grid-template-columns: 160px 160px 85px;
    gap: 1rem;
}

.table__top .dataTables_dateFilter input { cursor:pointer }
.table__top .dataTables_dateFilter input:hover, 
.table__top .dataTables_dateFilter input:focus { border: 1px solid #6D5BD0 }

.table__top .dataTables_dateFilter .btn-tableFilter {
    align-self: end;
    background: transparent;
    border: 1px solid #C6C2DE;
    border-radius: 0.25rem;
    font-family: "Tw Cen MT";
    font-size: 1.2rem;
    color: #232323;
    padding: 0.7rem 0.5rem;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    transition: all 0.3s;
}
.table__top .dataTables_dateFilter .btn-tableFilter:hover { border-color: #6D5BD0 }
.table__top .dataTables_dateFilter .btn-tableFilter:active { box-shadow: 0px 0px 3px #6D5BD0 }

.table__top .dataTables_dateFilter .btn-tableFilter i { color: #6E6893; margin-right: 0.4rem; } 

.table__top .dataTables_dateFilter .btn-tableFilter.active { background-color: #8B83BA; color: #fff }
.table__top .dataTables_dateFilter .btn-tableFilter.active i { color: #fff }

/* ============ DATATABLE-BOTTOM */
.table__bottom {
    padding: 1rem 1.7rem;
    display: grid;
    grid-template-columns: 1fr 1fr auto;
    gap: 2rem;
    align-items: center;
    background: #F4F2FF;
    color: #6E6893;
}

.table__bottom .dataTables_length label{ font-size: 1rem }

.table__bottom .dataTables_length select {
    background: transparent;
    border: none;
    color: #6E6893;
    font-weight: bold;
    font-size: 0.9rem;
}

.table__bottom .dataTables_info{ 
    justify-self: end;
    font-size: 1rem;
}

.table__bottom .dataTables_paginate { 
    justify-self: end;
    display: flex;
}
.table__bottom .dataTables_paginate span { display: none }

.table__bottom .dataTables_paginate a i {
    color: #6E6893;
    font-size: 1rem;
}
.table__bottom .dataTables_paginate a:first-child { margin-right: 3rem }

/* ============ DATATABLE-BUTTONS */
.table__buttons {
    width: 100%;
    background-color: #f4f2ff;
    padding: 1rem;
    border-top: 1px solid var(--border-table);
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.table__buttons .btn+.btn{ margin-left: 15px }

/* ============ DATATABLE-BUTTONS-TOP */
.table__buttonsTop {
    padding-bottom: 1rem;
    padding-right: 1.7rem;
    display: flex;
    justify-content: flex-end;
}

/*======== DATATABLE RESPONSIVE */
@media screen and (max-width: 920px) {
    .dashboard__table { display: block; overflow-x: auto; }

    .table__top { grid-template-columns: 1fr }
    .table__top .dataTables_filter label:last-child { max-width: none }
    .table__top .dataTables_dateFilter { justify-self: start }
}

@media screen and (max-width: 650px) {
    .table__top .dataTables_dateFilter {grid-template-columns: 1fr 1fr 75px; width: 100%;}
    .table__top .dataTables_filterLabel { grid-column: span 2 }
    .table__top .dataTables_filter label:last-child { min-width: 240px }

    .table__bottom .dataTables_length { display: none }
    .table__bottom .dataTables_info { justify-self: start }
    .table__bottom { grid-template-columns: 2fr 1fr }

    .table__buttons { justify-content: center }
    .table__buttons .btn { width: 90%; text-align: center; }
    .table__buttons .btn+.btn{ margin-left: 0; margin-top: 15px; }
}

/*======== PAGINA CADASTROS */
.cadastro__container {
    grid-column: span 2;
    order: 2;
    align-self: start;
    border-radius: 0.54rem;
    background-color: #fff;
    box-shadow: 0px 0px 5px rgb(0 0 0 / 20%);
    padding: 3rem 1.7rem;
}

.cadastro__form {
    grid-column: span 2;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px 15px;
}


.cadastro__form .form-group label {
    display: block;
    width: 100%;
    font-size: 1.3rem;
    color: #000;
}

.cadastro__form .form-group input,
.cadastro__form .form-group textarea {
    width: 100%;
    background-color: #ffffff;
    border: 0.5px solid #e0e0e0;
    border-radius: 4px;
    padding: 12px 15px;
    color: #082234;
    font-size: 14px;
    height: 42px;
}
.cadastro__form .form-group input:focus,
.cadastro__form .form-group textarea:focus { border: 0.5px solid #082234 }

.cadastro__form .form-group textarea {
    font-family: sans-serif;
    height: 140px;
    resize: none;
}

.cadastro__form .form-row {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

.cadastro__form .btn { grid-column: 2; justify-self: end; }

.cadastro__form .form-buttons {
    display: grid;
    grid-template-columns: 1fr;
    align-content: flex-end;
    gap: 16px;
}

/*==== PERSONALIZAÇÃO - SELECT2 ------*/
.cadastro__form .select2-container { width: 100% !important; font-family: sans-serif; }
.cadastro__form .select2-selection { 
    padding: 12px 15px;
    border: 0.5px solid #e0e0e0;
    height: auto;
}
.cadastro__form .select2-selection:focus,
.cadastro__form .select2-container--open .select2-selection,
.select2-dropdown { border: 0.5px solid #082234 }

.select2-dropdown { font-family: sans-serif }

.cadastro__form .select2-container span.select2-selection__rendered { 
    padding: 0; 
    line-height: normal; 
    color: #082234;
}
.cadastro__form .select2-container span.select2-selection__arrow { top: 8px; right: 5px; }

.input-transparent {
    background: transparent;
    border: none;
    font-size: 1.1rem;
}

/*========= FORM RESPONSIVE -----*/
@media screen and (max-width: 960px) {
    .cadastro__form { grid-template-columns: 1fr }
    /* .cadastro__form .btn { grid-column: 1 } */
}
@media screen and (max-width: 640px) {
    .cadastro__form .form-row { grid-template-columns: 1fr }
}

@media screen and (min-width: 960px) {
    .cadastro__form .form-buttons { grid-column: span 2 }
}

/*====== ÁREA DE PAGAMENTO */
.pagamento__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-self: center;
    min-height: 530px;
}

.pagamento__container h4 {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    color: #000;
}

.pagamento__detalhes {
    border-right: 2px solid #000;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.detalhes__text {
    width: 95%;
    border-bottom: 1px solid #000;
    padding: 5px 0;
    color: #000;
    font-size: 1.3rem;
    margin-bottom: 5px;
    max-height: 160px;
    overflow-y: auto;
}
.detalhes__text span {display: block;}
.detalhes__text:first-child span {text-transform: uppercase;}
.detalhes__text:last-child {border: none;}

.detalhes__valor {
    border-top: 2px solid #000;
    padding: 10px 25px 10px 0;
    display: flex;
    justify-content: space-between;
    font-size: 1.7rem;
    color: #000;
}
.pagamento__metodos {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.metodos__images {
    width: 410px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.metodos__images a{
    width: 140px;
    padding: 10px;
    text-align: center;
    border-radius: 5px;
    color: #000;
}
.metodos__images a img {margin-bottom: 5px;}
.metodos__images a img[src*=cartao] {max-width: 80px}
.metodos__images a:last-child {margin-top: 30px;}

.metodos__images a.active {border: 2px solid #000;}

.pagamento__buttons {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}
.pagamento__buttons .btn+.btn {margin-left: 10px;}

.pagamento__container .disable {display: none;}

.pagamento__cartao {
    max-width: 500px;
    padding: 0 20px;
}

.pagamento__cartao .input-group {position: relative}
.pagamento__cartao .input-group a:hover {display:flex}

.pagamento__cartao input, 
.pagamento__cartao select {
    font-family: sans-serif;
    font-size: 1.1rem;
}

.pagamento__cartao label {font-size: 1.1rem; line-height: 2;}

.pagamento__cartao input,
.pagamento__cartao select {
    background: #fff;
    border: none;
    border-radius: 5px;
    height: 50px !important;
    border: 1px solid #eaeaea;
}


.pagamento__cartao #card_name {text-transform: uppercase;}

.pagamento__cartao .form-row-1-2 {
    display: grid;
    grid-template-columns: minmax(100px, 150px) minmax(225px, 1fr);
    gap: 15px;
}

.pagamento__cartao .form-row-1-2-3 {
    display: grid;
    grid-template-columns: 100px minmax(120px, 1fr) minmax(145px, 1fr);
    gap: 15px;
}

.pagamento__cartao .btn-success { padding: 1rem 1.4rem }

.pagamento__table {
    width: 100%;
    border-collapse: collapse;
}

.pagamento__table th:first-child { text-align: left }
.pagamento__table th:not(:first-child) { border-left: 1px solid var(--gray-text); padding: 0 10px;}
.pagamento__table tr { border-bottom: 1px solid var(--gray-text);}
.pagamento__table tbody th { font-weight: 500;}

@media screen and (max-width: 960px) {
    .pagamento__container {
        grid-template-columns: 1fr;
        gap: 20px;
    }
    .pagamento__detalhes {
        border: none;
        border-bottom: 2px solid #000;
    }
    .metodos__images {width: 100%;}
    .metodos__images a:last-child {margin-top: 0;}
}

@media screen and (max-width: 720px) {
    .metodos__images a {width: 130px;}
    .pagamento__cartao {padding: 0}
}

@media screen and (max-width: 620px) {
    .pagamento__cartao .form-row-1-2,
    .pagamento__cartao .form-row-1-2-3 {
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 360px) {
    .pagamento__cartao .btn-success i {display: none;}
}